(define-module (glicid packages storage))

(use-modules (guix packages)
             (guix git-download)
;             (guix utils)
             (gnu packages)
             (gnu packages storage)
             (gnu packages python-xyz)
)

(define-public ceph-upstream
  (package
    (inherit ceph)
    (name "ceph-upstream")
    (version "17.2.8-pre")
    (source (origin

              (method git-fetch)
              (uri (git-reference
                    (url "https://github.com/ceph/ceph.git")
                    (commit "dc7dc56a00e48fe6f231a58f6537139fe2908fb9") ;; last version 20240325
;                    (branch "quincy")
                    (recursive? #t)))
              (sha256
               (base32
                "16mjj6cyrpdn49ig82mmrv984vqfdf24d6i4n9sghfli8z0nj8in"))
              (patches
               (search-patches
                "ceph-disable-cpu-optimizations.patch"))
              (modules '((guix build utils)))
              (snippet
               '(for-each delete-file-recursively
                          '(;; TODO: Unbundle these:
                            "src/arrow"
                            ;;"src/isa-l"
                            ;;"src/lua"
                            ;;"src/xxHash"
                            ;;"src/zstd"
                            ;;"src/civetweb"
                            "src/c-ares"
                            "src/fmt"
                            "src/googletest"
                            "src/rapidjson"
                            "src/spdk"
                            "src/rocksdb"
                            "src/boost"
                            "src/utf8proc")))))


    (native-inputs (modify-inputs (package-native-inputs ceph)
                                                 (append python-wcwidth)))))

